Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class ComponentFactory

Constructor Summary
`ComponentFactory(Class beanClass)`
`ComponentFactory(Class beanClass, boolean leaf)`

Method Summary
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### ComponentFactory

    public ComponentFactory(Class beanClass)

### ComponentFactory

    public ComponentFactory(Class beanClass, boolean leaf)

Method Detail

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)